<!DOCTYPE html>
<html>
<head>
	<title>Dibrella</title>
</head>

<style type="text/css">
	body{
		height: 100vh;
		width:100%;
		background:url('./bg.jpg');
		margin: 0;
		display: flex;
		justify-content: center;
		align-items: center;
		background-size: cover;
		background-attachment: fixed;
		background-position: center;
	}
	.login-box{
		background:white;
		box-shadow: 1px 2px 8px rgba(0,0,0,0.2);
		height:50%;
		width:50%;
		display: flex;
		border-radius: 5px;
		position: relative;
		overflow: hidden;
	}
	.form-area,.message-area{
		display: flex;
		justify-content: center;
		align-items: center;
		flex-direction: column;
		height: 100%;
		transition: .5s ease-in;
	}
	.message-area{
		width:30%;
		background:#043c77;
		color: white;
		right:0;
		overflow: hidden;
		position: absolute;
	}
	.form-area{
		width:70%;
	}

	.login>.form-area{
		margin-left:0;
	}
	.login>.message-area{
		right:0;
	}
	.login>.form-area>.register-form{
		display: none;
	}
	.login>.message-area>.login-msg{
		display: none;
	}

	.register>.form-area{
		left:30%;
	}
	.register>.message-area{
		right:70%;
	}
	.register>.message-area>.register-msg{
		display: none;
	}
	.register>.form-area>.login-form{
		display: none;
	}
	.appear{
		animation:fadein .5s ease-in;
	}
	.message-area>div{
		z-index: 1;
	}

	.message-area::after{
		background:url('./bg.jpg');
		position: absolute;
		height:100vh;
		width: 100vw;
		background-size: cover;
		background-attachment: fixed;
		background-position: center;
		content:'';
		filter:grayscale(100%) blur(3px);
		z-index: 0;	
		mix-blend-mode: multiply;
	}

	@keyframes fadein{
		from{
			opacity: 0;
		}
		to{
			opacity: 1;
		}

	}
</style>
<body>
	<div class="login-box register" id="loginBox">
		<div class="form-area">
			<div class="login-form appear">
				This is the login form
			</div>
			<div class="register-form appear">
				this is the register form
			</div>
		</div>
		<div class="message-area appear">
			
			<div class="login-msg appear">
				this is the login msg
				<button onclick="changeState()">Toggle</button>
			</div>
			<div class="register-msg ">
				This is the register msg
				<button onclick="changeState()">Toggle</button>
			</div>
		</div>		
	</div>

</body>
<script type="text/javascript">
	function changeState(){
		document.getElementById('loginBox').classList.toggle('login');
		document.getElementById('loginBox').classList.toggle('register');
	}
</script>
</html>